# GraphHopper Route Planner

[![Build Status](https://secure.travis-ci.org/graphhopper/graphhopper.png?branch=master)](http://travis-ci.org/graphhopper/graphhopper)

GraphHopper is a fast and memory efficient Java road routing engine released under Apache License 2.0.
Per default it uses OpenStreetMap data but can import other data sources.

GraphHopper for the Web
--------------

See GraphHopper in action on [GraphHopper Maps](https://graphhopper.com/maps)

[![GraphHopper Maps](https://karussell.files.wordpress.com/2014/12/graphhopper-maps-0-4-preview.png)](https://graphhopper.com/maps)

GraphHopper Maps uses the [Directions API for Business](https://graphhopper.com/#directions-api) under the hood, which provides 
a Routing API via GraphHopper, a Route Optimization API via [jsprit](http://jsprit.github.io/), a fast Matrix API
and an address search via [Photon](https://github.com/komoot/photon). Additionally the map tiles from various providers are used 
where the default is [Omniscale](http://omniscale.com/), and all is available for free, via encrypted connections and from German servers
for a nice and private route planning experience!


GraphHopper for Mobile
---------------

There are subprojects to make GraphHopper working offline
on [Android](https://github.com/graphhopper/graphhopper/tree/master/android)
and [iOS](http://github.com/graphhopper/graphhopper-ios)


Get Started
---------------

Read through our Documentation ([0.6](https://github.com/graphhopper/graphhopper/blob/0.6/docs/index.md), [unstable](https://github.com/graphhopper/graphhopper/blob/master/docs/index.md)), 
ask questions on [Stackoverflow](http://stackoverflow.com/questions/tagged/graphhopper)
and sign up to the [discussion](https://discuss.graphhopper.com/).


Contribute
---------------

Read through [how to contribute](https://github.com/graphhopper/graphhopper/blob/master/CONTRIBUTING.md)
like finding and fixing bugs and improving our documentation or translations!


Features
---------------

 * Written in Java
 * Open Source
 * Memory efficient and fast
 * Highly customizable
 * Works on the desktop, as a web service and offline on Android or iOS
 * Large test suite
 * [... more](http://graphhopper.com/#overview)
